Bug 581104 - Review Request: lv2-EQ10Q-plugins - Parametric equalizer lv2 plugin
Summary: Review Request: lv2-EQ10Q-plugins - Parametric equalizer lv2 plugin
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Orcan Ogetbil
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 581103 (view as bug list)
Depends On: 537363
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-10 07:15 UTC by David Cornette
Modified: 2010-08-19 01:03 UTC (History)
3 users (show)

Fixed In Version: lv2-EQ10Q-plugins-1.0-7.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-03 00:34:40 UTC
oget.fedora: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description David Cornette 2010-04-10 07:15:59 UTC
Spec URL: http://www.davidcornette.com/EQ10Q.spec
SRPM URL: http://www.davidcornette.com/EQ10Q-1.0-1.fc11.src.rpm
Description: This is an LV2 parametric equalizer plugin.  Filters implemented include peaking, HPF, LPF, Shelving and Notch filters.  It has a gtk-based gui which displays the equalization curve.

This package depends on lv2-c++-tools, which is currently under review (Bug 537363).

Comment 1 David Cornette 2010-04-10 08:07:55 UTC
(In reply to comment #0)
I neglected to mention that this is my first package, and I need a sponsor.

Comment 2 Orcan Ogetbil 2010-04-10 08:45:07 UTC
*** Bug 581103 has been marked as a duplicate of this bug. ***

Comment 3 Orcan Ogetbil 2010-04-10 08:50:10 UTC
Hi David,

Since I am not a sponsor, I can't review the package. 

I just have a request:
Can we rename this package to lv2-eq10q-plugins (or to lv2-EQ10Q-plugins), for
consistency with our other lv2 plugin packages?

A note on the specfile: The package needs to have a "Requires: lv2core" for
directory ownership.

Comment 4 David Cornette 2010-04-10 16:11:15 UTC
I have made the requested changes.  Since the name has changed, the urls of the files have changed.
Spec URL: http://www.davidcornette.com/lv2-EQ10Q-plugins.spec
SRPM URL: http://www.davidcornette.com/lv2-EQ10Q-plugins-1.0-1.fc11.src.rpm

Comment 5 David Cornette 2010-04-11 05:23:52 UTC
I noticed a missing BuildRequires.  I needed to add lv2core-devel.
I have re-uploaded the spec and SRPM.
Spec URL: http://www.davidcornette.com/lv2-EQ10Q-plugins.spec
SRPM URL: http://www.davidcornette.com/lv2-EQ10Q-plugins-1.0-2.fc11.src.rpm

Comment 6 David Cornette 2010-04-13 06:26:34 UTC
Based on some comments I received on #fedora-devel, I have made 3 changes.

* I changed the Source0: listing, I replaced the literal 1.0 version in the tarball name with the %{version} macro.

* One of the classes, vuwidget, is under GPLv3+, while the rest is under GPLv2+.  The vuwidget class is only linked into one of the two libraries, parameq_gui.so, while the other library, paramEQ.so, contains only GPLv2+ code.  Therefore I have set the license field to "GPLv2+ and GPLv3+".

* I have patched the Makefile so that the optimization flags were not hard coded, and could be overridden with the %{optflags} macro.

Spec File: http://www.davidcornette.com/lv2-EQ10Q-plugins.spec
SRPM URL: http://www.davidcornette.com/lv2-EQ10Q-plugins-1.0-3.fc11.src.rpm

Comment 7 David Cornette 2010-04-15 06:52:17 UTC
I was doing some testing, and I have made a few more changes.  The parameq.ttl file was missing the definition of foaf, which caused lv2rack to hang trying to read it.  Also, the paths of the image files were hard coded to be under /usr/local, so I patched the code and makefiles to have it look under /usr/share/lv2-EQ10Q-plugins/ for them.

Spec File: http://www.davidcornette.com/lv2-EQ10Q-plugins.spec
SRPM URL: http://www.davidcornette.com/lv2-EQ10Q-plugins-1.0-4.fc11.src.rpm

Comment 8 Orcan Ogetbil 2010-05-13 09:33:39 UTC
I will finish this review once we have lv2-c++-tools in the repo.

Comment 9 David Cornette 2010-05-14 20:07:10 UTC
Since I originally submitted this package, lv2-c++-tools switched from packaging libraries as shared to static.  This package builds and works fine with the updated version of that package without modification.  If anyone built this package with the older version of lv2-c++-tools, I expect they would expect that you would need to rebuild this package.

Comment 10 David Cornette 2010-05-24 00:44:49 UTC
I had not changed the BuildRequires: line to lv2-c++-tools-static, so I made a new version of the spec file, which also fixes a couple of warnings in the -debuginfo file about spurious exec permissions on two of the source files.

Spec File: http://www.davidcornette.com/lv2-EQ10Q-plugins.spec
SRPM URL: http://www.davidcornette.com/lv2-EQ10Q-plugins-1.0-5.fc11.src.rpm

Comment 11 Orcan Ogetbil 2010-05-31 04:20:05 UTC
I made a full review. A few minor things could be added/corrected. Otherwise we are good to go.

! rpmlint complains about spelling errors. 
   lv2-EQ10Q-plugins.x86_64: W: spelling-error Summary(en_US) diferent -> different, difference, deferential
   lv2-EQ10Q-plugins.x86_64: W: spelling-error %description -l en_US plugin -> plug in, plug-in, plugging
   lv2-EQ10Q-plugins.x86_64: W: spelling-error %description -l en_US diferent -> different, difference, deferential
   lv2-EQ10Q-plugins.x86_64: W: spelling-error %description -l en_US biquadratic -> bi quadratic, bi-quadratic, quadratic
   lv2-EQ10Q-plugins-debuginfo.x86_64: W: spelling-error Summary(en_US) lv -> lb, l, v
   lv2-EQ10Q-plugins-debuginfo.x86_64: W: spelling-error %description -l en_US lv -> lb, l, v

"plug-in" and "different" can be corrected. The rest can be ignored.

? A little explanation on patches would be nice. The patches look quite clean and portable. Did you contact upstream about these?

! Upstream could be reminded about missing license text files.

* koji rawhide build is fine:
   http://koji.fedoraproject.org/koji/taskinfo?taskID=2218755
 
- I couldn't do a functionality test yet with the static linkage. I will do that whenever people are not sleeping :)

Comment 12 Orcan Ogetbil 2010-06-06 16:14:44 UTC
I tried the plugin with lv2rack host and got the following error:
   Error: file can't be openError: file can't be open
Nothing is functional except In and Out gain that are on the left hand side of the window. Same result with the elven host (from lv2-ll-plugins).

However the plugin works fine under ardour. Can you reproduce these?

Comment 13 David Cornette 2010-06-06 20:11:36 UTC
I can confirm.  I believe the errors are harmless.  From what I can gather, when the gui is opened, it creates the directory ~/.RafolsEQ/ and it tries to open the file ~/.RafolsEQ/eq_presets.prs to load its presets.  The error message occurs because the file doesn't exist (you haven't saved any presets).  Once you have saved a preset, this error message goes away.  However, any time you open the gui after the first, the error message "mkdir: cannot create directory `/home/david/.RafolsEQ': File exists" is printed.  So these error messages are sloppy, but harmless.  They don't really indicate errors.

I can also confirm the problem with using the plugin under lv2rack.  When I tried to track it down, It seemed that when a change was made to one of the filter type drop downs, it reports the change to the host, which then informs the plugin of the change, but the host gives the plugin that the old value instead of the new value, so you can't change the filter type to anything except "off".  I don't know why this doesn't happen with ardour.  I am not sure if this is a bug with the plugin, or with the host.  Since presumably other plugins work correctly, probably it is a bug with the plugin.  I suspect that the plugin was only ever tested with ardour by the developer.  Without one of the patches that I added, attempting to use lv2rack after installing EQ10Q would actually cause lv2rack to hang (which is certainly a bug in lv2rack, but it is avoidable by correcting EQ10Q).

I have submitted all of my patches to upstream's patch tracker on Sourceforge.  I will also add a bug report for the lv2rack usage issue.  Someone from Debian already filed a bug report about the license file.  I'll send an email about all of the issues and patches, too.

I'll update the spec with spelling corrections and info on the patches, too.

Comment 14 Orcan Ogetbil 2010-07-08 03:24:50 UTC
ping? Is everything alright?

Comment 15 David Cornette 2010-07-08 06:03:29 UTC
I have updated the spec file to fix the spelling errors and explain the patches.  I also sent an email to upstream about the patches and the missing license file.

Spec File: http://www.davidcornette.com/lv2-EQ10Q-plugins.spec
SRPM URL: http://www.davidcornette.com/lv2-EQ10Q-plugins-1.0-6.fc13.src.rpm

Comment 16 Orcan Ogetbil 2010-07-10 06:03:02 UTC
Thanks. Good to go

----------------------------------------------------
This package (lv2-EQ10Q-plugins) is APPROVED by oget
----------------------------------------------------

Comment 17 David Cornette 2010-07-11 18:42:23 UTC
New Package CVS Request
=======================
Package Name: lv2-EQ10Q-plugins
Short Description: LV2 Plugin: Parametric equalizer with 12 different filter types
Owners: davidcornette
Branches: F-12 F-13
InitialCC:

Comment 18 Kevin Fenzi 2010-07-12 17:15:43 UTC
CVS done (by process-cvs-requests.py).

Comment 19 Fedora Update System 2010-07-16 05:53:47 UTC
lv2-EQ10Q-plugins-1.0-6.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/lv2-EQ10Q-plugins-1.0-6.fc13

Comment 20 Fedora Update System 2010-07-16 05:53:53 UTC
lv2-EQ10Q-plugins-1.0-6.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/lv2-EQ10Q-plugins-1.0-6.fc12

Comment 21 Fedora Update System 2010-07-16 18:49:55 UTC
lv2-EQ10Q-plugins-1.0-6.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update lv2-EQ10Q-plugins'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/lv2-EQ10Q-plugins-1.0-6.fc13

Comment 22 Fedora Update System 2010-07-16 18:50:10 UTC
lv2-EQ10Q-plugins-1.0-6.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update lv2-EQ10Q-plugins'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/lv2-EQ10Q-plugins-1.0-6.fc12

Comment 23 Fedora Update System 2010-07-31 07:52:39 UTC
lv2-EQ10Q-plugins-1.0-7.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/lv2-EQ10Q-plugins-1.0-7.fc14

Comment 24 Fedora Update System 2010-08-01 19:19:38 UTC
lv2-EQ10Q-plugins-1.0-7.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update lv2-EQ10Q-plugins'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/lv2-EQ10Q-plugins-1.0-7.fc14

Comment 25 Fedora Update System 2010-08-03 00:34:35 UTC
lv2-EQ10Q-plugins-1.0-6.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2010-08-03 00:38:00 UTC
lv2-EQ10Q-plugins-1.0-6.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2010-08-19 01:03:36 UTC
lv2-EQ10Q-plugins-1.0-7.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.